Skip to content

Retrieve an event

GET
/events/{id}
curl --request GET \
--url https://acme.mykreezalid.com/api/v1/events/1 \
--header 'Authorization: Basic <credentials>'

Retrieves the details of an existing event from its unique identifier.

id
required
integer

ID of your event.

fields
string

Comma-separated list of the fields to return, e.g. id,type,object_id. The other fields are left out.

The event

Media typeapplication/json
object
event
object
id

Event’s unique identifier

integer
type
string
status
string
object
string
object_id
integer
created
string format: date-time

Example generated

{
"event": {
"type": "example",
"status": "example",
"object": "example",
"object_id": 1,
"created": "2026-04-15T12:00:00Z"
}
}

No event has this identifier.